/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface JCAResourceMBean
      extends
         org.jboss.management.j2ee.J2EEResourceMBean,
         org.jboss.management.j2ee.statistics.StatisticsProvider
{

   java.lang.String[] getconnectionFactories();

   java.lang.String getconnectionFactory(int i);

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

   /**
    * Obtain the Stats from the StatisticsProvider.
    * @return An JCAStats implementation
    */
   javax.management.j2ee.statistics.Stats getstats();

   /**
    * Reset all statistics in the StatisticsProvider
    */
   void resetStats();

}
